Beta

Get an automation

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/automations/{automation_id}

Gets one of your automations by its id (aut_...).

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

automation_id*string
Match^aut_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
data*
request_id*string
curl -X GET 'https://example.com/v1/automations/string' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "data": {    "id": "string",    "name": "string",    "action": {      "property1": null,      "property2": null    },    "trigger": {      "property1": null,      "property2": null    },    "where": [      {        "property1": null,        "property2": null      }    ],    "room_id": "string",    "business_id": "string",    "notify": "string",    "status": "active",    "attention_reason": "failing",    "next_run_at": "string",    "last_run_at": "string",    "latest_run_at": "string",    "last_run_status": "queued",    "runs_as": {      "type": "person",      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",      "name": "string"    },    "created_at": "string",    "updated_at": "string"  },  "request_id": "string"}